\input texinfo @c -*-texinfo-*-
@documentencoding utf-8
@documentlanguage en
@setfilename README.info
@settitle Toplevel README


@node Top
@top

@chapter Toplevel README


LilyPond is a music typesetter.  It produces beautiful sheet music
using a description file as input.  LilyPond is part of the GNU
Project.

@section Versioning

LilyPond uses a versioning scheme that easily identifies stable and
development releases.  In a version "x.y.z", an even second number 'y'
denotes a stable version.  For development versions 'y' is odd.

@section Downloading

The primary download site for sourcecode is
@uref{http://lilypond.org/download/}.

@section Compilation

For compiling and running LilyPond see the installation instructions.
These instructions can be found when you unpack lilypond, as
@file{lilypond-x.y.z/INSTALL.txt}. They are also available on the web
at
@uref{http://lilypond.org/doc/v2.12/Documentation/topdocs/INSTALL.html}.

@section Documentation

The documentation is available online at
@uref{http://lilypond.org/doc/}.

You can also build it locally: follow the instructions under `Building
documentation' in the installation instructions.


@section Comments

Send your criticism, comments, bugreports, patches, etc. to the mailing
list, not to us personally.

@html
<a name="mailing-lists">
@end html

We have the following mailing lists:

@itemize @bullet
@item @uref{http://mail.gnu.org/mailman/listinfo/info-lilypond,info-lilypond@@gnu.org}
is a low-volume list for information on LilyPond project.
    This list is moderated; ask 
    @email{drl@@gnu.org, David R. Linn} or
    @email{hanwen@@xs4all.nl, Han-Wen} to send announcements for this
list.

@item
@uref{http://mail.gnu.org/mailman/listinfo/lilypond-devel,lilypond-devel@@gnu.org}
  for discussions about developing LilyPond, in particular the unstable series.

@item @uref{http://mail.gnu.org/mailman/listinfo/lilypond-user,lilypond-user@@gnu.org}
  for discussions about using LilyPond, in particular the stable series.

@item @uref{http://mail.gnu.org/mailman/listinfo/bug-lilypond,bug-lilypond@@gnu.org}
for sending bugreports.

@item @uref{http://mail.gnu.org/mailman/listinfo/lilypond-cvs,lilypond-cvs@@gnu.org}
 for log files from the
autobuild.
@end itemize

You can search the lists from our @uref{http://lilypond.org/search,
searching facilities}.

@section Bugs

Send bug reports to @email{bug-lilypond@@gnu.org}.  For help and
questions use @email{lilypond-user@@gnu.org}.


@bye
